Index: trunk/src/series/civ_input.m
===================================================================
--- trunk/src/series/civ_input.m	(revision 598)
+++ trunk/src/series/civ_input.m	(revision 599)
@@ -445,134 +440,27 @@
 set(handles.ImaDoc,'String',ext_imadoc)% display the extension name for the image documentation file used
 
-%%  read the time in the image documentation file  
-time=[];
-TimeUnit=''; %default
-CoordUnit='';%default
-pxcm_search=1;
-if ~isempty(XmlFileName)
-    set(handles.ImaDoc,'BackgroundColor',[1 1 0]) % set edit box to yellow cloro to indicate that the file reading is beginning
-    drawnow
-    [XmlData,warntext]=imadoc2struct(XmlFileName);
-    nom_type_read=[];
-    if isfield(XmlData,'Time') && ~isempty(XmlData.Time)
-        time=XmlData.Time;
-        %transform .Time to a column vector if it is a line vector thenomenclature uses a single index: correct possible bug in xml
-        if isequal(MaxIndex_i,1) && ~isequal(MaxIndex_j,1)% .Time is a line vector
-            if numel(nom_type_read)>=2 && isempty(regexp(nom_type_read(2:end),'\D','once'))
-                time=time';
-                MaxIndex_i=MaxIndex_j;
-                MaxIndex_j=1;
-            end
-        end
-    end
-    if isfield(XmlData,'Camera') && isfield(XmlData.Camera,'TimeUnit')
-        TimeUnit=XmlData.Camera.TimeUnit;
-    end
-    if isfield(XmlData,'GeometryCalib')
-        tsai=XmlData.GeometryCalib;
-        if isfield(tsai,'fx_fy')
-            pxcm_search=max(tsai.fx_fy(1),tsai.fx_fy(2));%pixels:cm estimated for the search range
-        end
-        if isfield(tsai,'CoordUnit')
-            CoordUnit=tsai.CoordUnit;
-        end
-    end
-end
-if isempty(time) && (strcmp(FileType,'video') || strcmp(FileType,'mmreader'))
-    set(handles.ListPairMode,'Value',1);
-    dt=1/get(MovieObject,'FrameRate');%time interval between successive frames
-    if strcmp(NomTypeIma,'*')
-        set(handles.ListPairMode,'String',{'series(Di)'})
-        MaxIndex_i=get(MovieObject,'NumberOfFrames');
-        time=(dt*(0:MaxIndex_i-1))';%list of image times
-    else
-        set(handles.ListPairMode,'String',[{'series(Dj)'};{'series(Di)'}])
-        MaxIndex_i=max(i1_series(i1_series>0));
-        MaxIndex_j=get(MovieObject,'NumberOfFrames');
-        time=ones(MaxIndex_i,1)*(dt*(0:MaxIndex_j-1));%list of image times
-        enable_j(handles,'on')
-    end
-    TimeUnit='s';
-    set(handles.ImaDoc,'BackgroundColor',[1 1 1])% set display box back to whiter
-end
-
-%% timing display
-%show the reference image edit box if relevant (not needed for movies or in the absence of time information
-if numel(time)>=2 % if there are at least two time values to define dt
-    if size(time,1)<MaxIndex_i;
-        msgbox_uvmat('WARNING','maximum i index restricted by the timing of the xml file');
-    elseif size(time,2)<MaxIndex_j
-        msgbox_uvmat('WARNING','maximum j index restricted by the timing of the xml file');
-    end
-    MaxIndex_i=min(size(time,1),MaxIndex_i);%possibly adjust the max index according to time data
-    MaxIndex_j=min(size(time,2),MaxIndex_j);
-    time=[zeros(size(time,1),1) time]; %insert a vertical line of zeros (to deal with zero file indices)
-    time=[zeros(1,size(time,2)); time]; %insert a horizontal line of zeros
-else
-    set(handles.ImaDoc,'String',''); %xml file not used for timing
-    time=(i1_series(:,1)+0:size(i1_series,3)-1);% time=index i
-    time=time'*ones(1,size(i1_series,2),1); %makes a time matrix with the same time for all j indices
-    TimeUnit='frame';
-end
-set(handles.ImaDoc,'UserData',time); %store the matrix of times
-set(handles.dt_unit,'String',['dt in m' TimeUnit]);%display dt in unit 10-3 of the time (e.g ms)
-set(handles.TimeUnit,'String',TimeUnit);
-set(handles.nb_field,'String',num2str(MaxIndex_i));
-set(handles.nb_field2,'String',num2str(MaxIndex_j));
-set(handles.CoordUnit,'String',CoordUnit)
-set(handles.SearchRange,'UserData', pxcm_search);
-set(handles.ImaExt,'String',ImaExt)
-set(handles.NomType,'String',NomTypeIma)
-
-%% set the reference indices from the input file indices
-num_ref_i=str2num(get(handles.ref_i,'String'));
-num_ref_j=str2num(get(handles.ref_j,'String'));
-% for movies don't modify except if the current ref is outside index bounds
-%if strcmp(ExtInput,'.nc')|| ~(strcmp(FileType,'mmreader')||strcmp(FileType,'VideoReader') && num_ref_i<=MaxIndex_i && num_ref_j<=MaxIndex_j)
-if ~isempty(i1)% if i1 has been selected by the input
-    num_ref_i=i1;%default ref index
-    if ~isempty(i2)
-        num_ref_i=floor((num_ref_i+i2)/2);
-    end
-    if ~isempty(j1)
-    num_ref_j=j1;
-    if ~isempty(j2)
-        num_ref_j=floor((num_ref_j+j2)/2);
-    end
-    end
-end
-if num_ref_i>MaxIndex_i||num_ref_i<MinIndex_i
-    num_ref_i=round((MinIndex_i+MaxIndex_i)/2);
-end
-if ~isempty(num_ref_j)&&~isempty(MaxIndex_j)&& ~isempty(MinIndex_j)
-    if (num_ref_j>MaxIndex_j||num_ref_j<MinIndex_j)
-        num_ref_j=round((MinIndex_j+MaxIndex_j)/2);
-    end
-end
-if isempty(num_ref_j)
-    num_ref_j=1;
-end
-
-%% update i and j index range if a nc file has been opened or pb withmin max image indices: 
+
+
+%% update i and j index range if a nc file has been opened or pb withmin max image indices:
 % then set first and last to the inputfile index by default
 first_i=str2num(get(handles.first_i,'String'));
 last_i=str2num(get(handles.last_i,'String'));
 if isempty(first_i) || isempty(last_i)||isempty(MinIndex_i)||isempty(MaxIndex_i)||ind_opening~=0 || isempty(first_i) || isempty(last_i)|| first_i<MinIndex_i || last_i>MaxIndex_i
-   first_i=num_ref_i;
-   last_i=num_ref_i;
+    first_i=num_ref_i;
+    last_i=num_ref_i;
     set(handles.first_i,'String',num2str(first_i));
     set(handles.last_i,'String',num2str(last_i));%
 end
 
-%j index range 
+%j index range
 first_j=str2num(get(handles.first_j,'String'));
 last_j=str2num(get(handles.last_j,'String'));
 if isempty(first_j) || isempty(last_j)||isempty(MinIndex_j)||isempty(MaxIndex_j)||ind_opening~=0 || first_j<MinIndex_j || last_j>MaxIndex_j
-       first_j=num_ref_j;
-   last_j=num_ref_j;
+    first_j=num_ref_j;
+    last_j=num_ref_j;
     set(handles.first_j,'String',num2str(first_j));
     set(handles.last_j,'String',num2str(last_j));%
 end
-if num_ref_i>last_i || num_ref_i<first_i 
+if num_ref_i>last_i || num_ref_i<first_i
     num_ref_i=round((first_i+last_i)/2);
 end
@@ -583,48 +471,5 @@
 set(handles.ref_j,'String',num2str(num_ref_j))
 
-%% set the civ_input options depending on the input file content when a nc file has been opened
-ListOptions={'CheckCiv1', 'CheckFix1' 'CheckPatch1', 'CheckCiv2', 'CheckFix2', 'CheckPatch2'};
-checkbox=zeros(size(ListOptions));%default
-if ind_opening==0%case of image opening, start with Civ1
-    for index=1:numel(ListOptions)
-        checkbox(index)=get(handles.(ListOptions{index}),'Value');
-    end
-    index_max=find(checkbox, 1, 'last' );
-    if isempty(index_max),index_max=1;end        
-    for index=1:index_max
-        set(handles.(ListOptions{index}),'Value',1)% select all operations starting from CIV1
-    end
-else
-    for index = 1:min(ind_opening,5)
-        set(handles.(ListOptions{index}),'value',0)
-    end
-    set(handles.(ListOptions{min(ind_opening+1,6)}),'value',1)
-    for index = ind_opening+2:6
-        set(handles.(ListOptions{index}),'value',0)
-    end
-end
-%list_operation={'CheckCiv1','CheckFix1','CheckPatch1','CheckCiv2','CheckFix2','CheckPatch2'};
-
-%set(handles.(ListOptions{min(ind_opening+1,6)}),'value',1)
-update_CivOptions(handles,ind_opening)
-
-%%  set the menus of image pairs and default selection for civ_input   %%%%%%%%%%%%%%%%%%%
-%check_letter=~isempty(regexp(NomTypeIma,'[ab|AB]$'));%detect pair label by letter
-if  isequal(NomTypeNc,'_1-2')||isempty(MaxIndex_j)|| (MaxIndex_j==1)
-    set(handles.ListPairMode,'Value',1)
-    set(handles.ListPairMode,'String',{'series(Di)'})   
-elseif  MaxIndex_i==1 && MaxIndex_j>1% simple series in j
-    set(handles.ListPairMode,'String',{'pair j1-j2';'series(Dj)'})
-    if  MaxIndex_j <= 10
-        set(handles.ListPairMode,'Value',1)% advice 'pair j1-j2' except in MaxIndex_j is large
-    end
-elseif ~(strcmp(FileType,'video') || strcmp(FileType,'mmreader'))
-    set(handles.ListPairMode,'String',{'pair j1-j2';'series(Dj)';'series(Di)'})%multiple choice
-    if strcmp(NomTypeNc,'_1-2_1')
-        set(handles.ListPairMode,'Value',3)% advise 'series(Di)'
-    elseif  MaxIndex_j <= 10
-        set(handles.ListPairMode,'Value',1)% advice 'pair j1-j2' except in MaxIndex_j is large
-    end
-end
+
 
 %% scan files to update the subdirectory list display
@@ -644,24 +489,8 @@
 
 %% store info
-set(handles.RootPath,'UserData',browse)% store the nomenclature type
+%set(handles.RootPath,'UserData',browse)% store the nomenclature type
 
 %% list the possible index pairs, depending on the option set in ListPairMode
 ListPairMode_Callback([], [], handles)
-
-%% store the root input filename for future opening
-profil_perso=fullfile(prefdir,'uvmat_perso.mat');
-if exist(profil_perso,'file')
-    save (profil_perso,'RootPath','-append'); %store the root name for future opening of uvmat
-else
-    txt=ver('MATLAB');
-    Release=txt.Release;
-    relnumb=str2double(Release(3:4));
-    if relnumb >= 14
-        save (profil_perso,'RootPath','-V6'); %store the root name for future opening of uvmat
-    else
-        save (profil_perso,'RootPath'); %store the root name for future opening of uvmat
-    end
-end
-set(handles.RootPath,'BackgroundColor',[1 1 1])
 
 %------------------------------------------------------------------------
@@ -757,11 +586,11 @@
 checkbox(6)=get(handles.CheckPatch2,'Value');
 ind_selected=find(checkbox,1);
-if ~isempty(ind_selected)
-    RootPath=get(handles.RootPath,'String');
-    if isempty(RootPath)
-        msgbox_uvmat('ERROR','Please open an image or PIV .nc file with the upper bar menu Open/Browse...')
-        return
-    end
-end
+% if ~isempty(ind_selected)
+%     RootPath=get(handles.RootPath,'String');
+%     if isempty(RootPath)
+%         msgbox_uvmat('ERROR','Please open an image or PIV .nc file with the upper bar menu Open/Browse...')
+%         return
+%     end
+% end
 set(handles.PairIndices,'Visible','on')
 set(handles.SubdirCiv1,'Visible','on')
